> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Requests

> Retrieve a domain's requests data. Deprecated.
Use [GET /v1/analytics/requests](/docs/api-reference/waap/analytics/get-request-log-data) instead.



## OpenAPI

````yaml /api-reference/services_documented/waap_api.yaml get /waap/v1/domains/{domain_id}/requests
openapi: 3.1.0
info:
  title: Gcore OpenAPI – WAAP API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: WAAP Service
    x-displayName: WAAP Service
  - name: Domains
    x-displayName: Domains
  - name: Policies
    x-displayName: Policies
  - name: Analytics
    x-displayName: Analytics
  - name: Custom Page Sets
    x-displayName: Custom Page Sets
  - name: Custom Rules
    x-displayName: Custom Rules
  - name: Filter Templates
    x-displayName: Filter Templates
  - name: Firewall Rules
    x-displayName: Firewall Rules
  - name: Advanced Rules
    x-displayName: Advanced Rules
  - name: Tags
    x-displayName: Tags
  - name: Network Organizations
    x-displayName: Network Organizations
  - name: API Discovery
    x-displayName: API Discovery
  - name: IP Spotlight
    x-displayName: IP Spotlight
  - name: Security Insights
    x-displayName: Security Insights
  - name: IP Reputation
    x-displayName: IP Reputation
paths:
  /waap/v1/domains/{domain_id}/requests:
    get:
      tags:
        - Analytics
      summary: Get Requests
      description: >-
        Retrieve a domain's requests data. Deprecated.

        Use [GET
        /v1/analytics/requests](/docs/api-reference/waap/analytics/get-request-log-data)
        instead.
      operationId: get_requests_v1_domains__domain_id__requests_get
      parameters:
        - name: domain_id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The domain ID
            title: Domain Id
          description: The domain ID
        - name: ordering
          in: query
          required: false
          schema:
            type: string
            description: Sort the response by given field.
            title: Ordering
          description: Sort the response by given field.
        - name: ip
          in: query
          required: false
          schema:
            type: string
            pattern: ^[0-9a-fA-F.:\/]*$
            description: Filter the response by IP.
            title: Ip
          description: Filter the response by IP.
        - name: reference_id
          in: query
          required: false
          schema:
            type: string
            pattern: ^[a-fA-F0-9]{32}$
            description: Filter the response by reference ID.
            example: ad07c06f19054e484974fa22e9fb6bb1
            examples:
              - ad07c06f19054e484974fa22e9fb6bb1
            title: Reference Id
          description: Filter the response by reference ID.
        - name: status_code
          in: query
          required: false
          schema:
            type: integer
            maximum: 599
            minimum: 100
            description: Filter the response by response code.
            title: Status Code
          description: Filter the response by response code.
        - name: security_rule_name
          in: query
          required: false
          schema:
            type: string
            maxLength: 100
            pattern: ^[a-zA-Z0-9_ ~!@#$%^&*()+\[\]{}|.,;:<>?/-]*$
            description: Filter the response by security rule name.
            title: Security Rule Name
          description: Filter the response by security rule name.
        - name: countries
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              pattern: ^\w{2}$
            description: Filter the response by country codes in ISO 3166-1 alpha-2 format.
            title: Countries
          description: Filter the response by country codes in ISO 3166-1 alpha-2 format.
        - name: actions
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/EventAction'
            description: Filter the response by actions.
            title: Actions
          description: Filter the response by actions.
        - name: traffic_types
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/TrafficType'
            description: Filter the response by traffic types.
            title: Traffic Types
          description: Filter the response by traffic types.
        - name: start
          in: query
          required: true
          schema:
            type: string
            description: >-
              Filter data items starting from a specified date in ISO 8601
              format
            example: '2024-04-13T00:00:00+01:00'
            examples:
              - '2024-04-13T00:00:00+01:00'
            title: Start
          description: Filter data items starting from a specified date in ISO 8601 format
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter data items up to a specified end date in ISO 8601 format.
              If not provided, defaults to the current date and time.
            examples:
              - '2024-04-14T12:00:00Z'
            title: End
          description: >-
            Filter data items up to a specified end date in ISO 8601 format. If
            not provided, defaults to the current date and time.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 0
            description: Number of items to return
            default: 100
            title: Limit
          description: Number of items to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            maximum: 100000
            minimum: 0
            description: Number of items to skip
            default: 0
            title: Offset
          description: Number of items to skip
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_RequestSummary_'
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-bad-request
                title: Bad Request
                status: 400
                detail: 'Invalid domain name: '''''''''
          description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              example:
                detail: Auth token is missing or invalid
        '403':
          description: Unauthenticated
          content:
            application/problem+json:
              example:
                detail: Permission denied
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-not-found
                title: Not Found
                status: 404
                detail: The resource is not found
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APICompositeError'
              example:
                type: request-validation-failed
                title: Request validation error.
                status: 422
                detail: One or more fields have validation errors.
                errors:
                  - loc:
                      - body
                      - name
                    detail: Input should be a valid string
                  - loc:
                      - body
                      - date
                    detail: Field required
                  - loc:
                      - query
                      - limit
                    detail: Field required
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: internal-server-error
                title: Internal server error.
                status: 500
                detail: >-
                  An unexpected condition was encountered which prevented the
                  server from fulfilling the request.
          description: Internal Server Error
      deprecated: true
components:
  schemas:
    EventAction:
      type: string
      enum:
        - allow
        - block
        - captcha
        - handshake
      title: EventAction
      description: An action applied to a request according to the security configuration.
    TrafficType:
      type: string
      enum:
        - policy_allowed
        - policy_blocked
        - custom_rule_allowed
        - custom_blocked
        - legit_requests
        - sanctioned
        - dynamic
        - api
        - static
        - ajax
        - redirects
        - monitor
        - err_40x
        - err_50x
        - passed_to_origin
        - timeout
        - other
        - ddos
        - legit
        - monitored
      title: TrafficType
      description: A type of traffic that a request is categorized as.
    PaginatedResponse_RequestSummary_:
      properties:
        limit:
          type: integer
          title: Limit
          description: Number of items requested in the response
        offset:
          type: integer
          title: Offset
          description: Items response offset used
        count:
          type: integer
          title: Count
          description: Number of items contain in the response
        results:
          items:
            $ref: '#/components/schemas/RequestSummary'
          type: array
          title: Results
          description: List of items returned in the response following given criteria
      type: object
      required:
        - limit
        - offset
        - count
        - results
      title: PaginatedResponse[RequestSummary]
    APIError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
      type: object
      required:
        - type
        - title
        - status
        - detail
      title: APIError
    APICompositeError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
        errors:
          items:
            $ref: '#/components/schemas/APIFieldError'
          type: array
          title: Errors
          description: A list of detailed errors for individual fields.
      type: object
      required:
        - type
        - title
        - status
        - detail
        - errors
      title: APICompositeError
    RequestSummary:
      properties:
        id:
          type: string
          title: Id
          description: Request's unique id
        path:
          type: string
          title: Path
          description: Request path
        client_ip:
          type: string
          title: Client Ip
          description: Client's IP address.
        method:
          type: string
          title: Method
          description: HTTP method
        rule_name:
          type: string
          title: Rule Name
          description: Name of the triggered rule
        country:
          type: string
          title: Country
          description: Country code
        action:
          type: string
          title: Action
          description: Action of the triggered rule
        rule_id:
          type: string
          title: Rule Id
          description: The ID of the triggered rule.
        domain:
          type: string
          title: Domain
          description: Domain name
        domain_id:
          type: integer
          title: Domain Id
          description: Domain ID
        user_agent:
          type: string
          title: User Agent
          description: User agent
        user_agent_client:
          type: string
          title: User Agent Client
          description: Client from parsed User agent header
        organization:
          type: string
          title: Organization
          description: Organization
        request_time:
          type: integer
          title: Request Time
          description: >-
            The UNIX timestamp in ms of the date a set of traffic counters was
            recorded
        reference_id:
          type: string
          title: Reference Id
          description: The reference ID to a sanction that was given to a user.
        session_id:
          type: string
          title: Session Id
          description: The session ID associated with the request.
          default: ''
        status_code:
          type: integer
          title: Status Code
          description: Status code for http request
        result:
          type: string
          enum:
            - passed
            - blocked
            - suppressed
            - ''
          title: Result
        traffic_types:
          type: string
          title: Traffic Types
          description: Comma separated list of traffic types.
        decision:
          type: string
          enum:
            - passed
            - allowed
            - monitored
            - blocked
            - ''
          title: Decision
          description: The decision made for processing the request through the WAAP.
          example: blocked
          examples:
            - blocked
        optional_action:
          type: string
          enum:
            - captcha
            - challenge
            - ''
          title: Optional Action
          description: >-
            An optional action that may be applied in addition to the primary
            decision.
          example: captcha
          examples:
            - captcha
        scheme:
          type: string
          title: Scheme
          description: The URI scheme of the request that generated an event
          default: ''
          example: https
          examples:
            - https
        http_version:
          type: string
          title: Http Version
          description: HTTP version of request
          default: ''
          example: '1.1'
          examples:
            - '1.1'
        ja3:
          type: string
          title: Ja3
          description: >-
            JA3 TLS client fingerprint as a 32-character lowercase hexadecimal
            MD5 hash, or an empty string when the record has no JA3 value.
          default: ''
          example: e7d705a3286e19ea42f587b344ee6865
          examples:
            - e7d705a3286e19ea42f587b344ee6865
      type: object
      required:
        - id
        - path
        - client_ip
        - method
        - rule_name
        - country
        - action
        - rule_id
        - domain
        - domain_id
        - user_agent
        - user_agent_client
        - organization
        - request_time
        - reference_id
        - status_code
        - result
        - traffic_types
        - decision
        - optional_action
      title: RequestSummary
      description: Request summary used when displaying a list of requests
    APIFieldError:
      properties:
        loc:
          anyOf:
            - items:
                anyOf:
                  - type: integer
                  - type: string
              type: array
            - {}
          title: Loc
          description: The location of the field or a character number causing the error.
        detail:
          type: string
          title: Detail
          description: A human-readable message describing the error.
      type: object
      required:
        - loc
        - detail
      title: APIFieldError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````